aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRob Landley <rob@landley.net>2009-12-13 00:12:26 -0600
committerRob Landley <rob@landley.net>2009-12-13 00:12:26 -0600
commitb704ad20b42f2711e7f8f924865d0d87609976ad (patch)
tree5b325522e8a9a885c1b22325db95e9d99c1991f8
parent67e61d3fce3d19bc321b994285755d3c10a689ab (diff)
downloadtoybox-b704ad20b42f2711e7f8f924865d0d87609976ad.tar.gz
The "strip" in gcc 4.4 doesn't set the executable bit on its output, despite what SUSv4 says it should do, so cope with buggy FSF tools.
-rwxr-xr-xscripts/make.sh3
1 files changed, 3 insertions, 0 deletions
diff --git a/scripts/make.sh b/scripts/make.sh
index 9cd5ccd6..828bdd60 100755
--- a/scripts/make.sh
+++ b/scripts/make.sh
@@ -99,3 +99,6 @@ echo "Compile toybox..."
$DEBUG $CC $CFLAGS -I . -o toybox_unstripped $OPTIMIZE main.c lib/*.c \
$TOYFILES -Wl,--as-needed,-lutil,--no-as-needed || exit 1
$DEBUG $STRIP toybox_unstripped -o toybox || exit 1
+# gcc 4.4's strip command is buggy, and doesn't set the executable bit on
+# its output the way SUSv4 suggests it do so.
+$DEBUG chmod +x toybox || exit 1